Main Page | Modules | File List | File Members

# Fix library's callbacks functions

Functions who set the library's callbacks. Those functions take a client function as pararamters./. More...

## Functions
GSvoid | RegServerFix_LoginRouterResult (CBRegServerRcv_LoginRouterResult fLoginRouterResult)
| Fix the CBRegServerRcv_LoginRouterResult Callback.
GSvoid | RegServerFix_RouterDisconnection (CBRegServerRcv_RouterDisconnection fRouterDisconnection)
| Fix the CBRegServerRcv_RouterDisconnection Callback.
GSvoid | RegServerFix_RegisterServerResult (CBRegServerRcv_RegisterServer fRegisterServer)
| Fix the CBRegServerRcv_RegisterServer Callback.
GSvoid | RegServerFix_RequestParentGroupResult (CBRegServerRcv_RequestParentGroup fRequestParentGroup)
| Fix the CBRegServerRcv_RequestParentGroup Callback.
GSvoid | RegServerFix_LobbyServerLoginResult (CBRegServerRcv_LobbyServerLogin fLobbyServerLogging)
| Fix the CBRegServerRcv_LobbyServerLogin Callback.
GSvoid | RegServerFix_LobbyServerUpdateGroupSettingsResult (CBRegServerRcv_LobbyServerUpdateGroupSettings fLobbyServerUpdateGroupSettings)
| Fix the CBRegServerRcv_LobbyServerUpdateGroupSettings Callback.
GSvoid | RegServerFix_LobbyServerDisconnection (CBRegServerRcv_LobbyServerDisconnection fLobbyServerDisconnection)
| Fix CBRegServerRcv_LobbyServerDisconnection Callback.
GSvoid | RegServerFix_LobbyServerMemberNew (CBRegServerRcv_LobbyServerMemberNew fLobbyServerMemberNew)
| Fix the CBRegServerRcv_LobbyServerNewMember Clallback.
GSvoid | RegServerFix_LobbyServerMemberLeft (CBRegServerRcv_LobbyServerMemberLeft fLobbyServerMemberLeft)
| Fix the CBRegServerRcv_LobbyServerMemberLeft Clallback.
GSvoid | RegServerFix_LobbyServerMatchStartReply (CBRegServerRcv_LobbyServerMatchStartReply fLobbyServerMatchStartReply)
| Fix the CBRegServerRcv_LobbyServerMatchStartReply Clallback.
GSvoid | RegServerFix_LobbyServerMatchFinishReply (CBRegServerRcv_LobbyServerMatchFinishReply fLobbyServerMatchFinishReply)
| Fix the CBRegServerRcv_LobbyServerMatchFinishReply Clallback.
GSvoid | RegServerFix_LobbyServerGroupConfigUpdate (CBRegServerRcv_LobbyServerGroupConfigUpdate fLobbyServerGroupConfigUpdate)
| Fix the CBRegServerRcv_LobbyServerGroupConfigUpdate Clallback.
GSvoid | RegServerFix_LobbyServerMemberUpdateStatus (CBRegServerRcv_LobbyServerMemberUpdateStatus fLobbyServerMemberUpdateStatus)
| Fix the CBRegServerRcv_LobbyServerMemberUpdateStatus Clallback.
GSvoid | RegServerFix_LobbyServerNewUpdateGroup (CBRegServerRcv_LobbyServerNewUpdateGroup fLobbyServerNewUpdateGroup)
| Fix the CBRegServerRcv_LobbyServerNewUpdateGroup Clallback.
GSvoid | RegServerFix_LobbyServerMemberUpdateInfo (CBRegServerRcv_LobbyServerMemberUpdateInfo fLobbyServerMemberUpdateInfo)
| Fix the CBRegServerRcv_LobbyServerMemberUpdateInfo Clallback.

## Detailed Description

The Client need to fix the regserver library' callbacks to receving the information from the library. It's not mandatory to fix all the callbacks.

## Function Documentation

GSvoid RegServerFix_LobbyServerDisconnection | ( | CBRegServerRcv_LobbyServerDisconnection | fLobbyServerDisconnection | ) |

  | Parameters:
  fLobbyServerDisconnection | The Callback's called function.

GSvoid RegServerFix_LobbyServerGroupConfigUpdate | ( | CBRegServerRcv_LobbyServerGroupConfigUpdate | fLobbyServerGroupConfigUpdate | ) |

  | Parameters:
  fLobbyServerGroupConfigUpdate | The Callback's called function.

GSvoid RegServerFix_LobbyServerLoginResult | ( | CBRegServerRcv_LobbyServerLogin | fLobbyServerLogging | ) |

  | Parameters:
  fLobbyServerLogging | The Callback's called function.

GSvoid RegServerFix_LobbyServerMatchFinishReply | ( | CBRegServerRcv_LobbyServerMatchFinishReply | fLobbyServerMatchFinishReply | ) |

  | Parameters:
  fLobbyServerMatchFinishReply | The Callback's called function.

GSvoid RegServerFix_LobbyServerMatchStartReply | ( | CBRegServerRcv_LobbyServerMatchStartReply | fLobbyServerMatchStartReply | ) |

  | Parameters:
  fLobbyServerMatchStartReply | The Callback's called function.

GSvoid RegServerFix_LobbyServerMemberLeft | ( | CBRegServerRcv_LobbyServerMemberLeft | fLobbyServerMemberLeft | ) |

  | Parameters:
  fLobbyServerMemberLeft | The Callback's called function.

GSvoid RegServerFix_LobbyServerMemberNew | ( | CBRegServerRcv_LobbyServerMemberNew | fLobbyServerMemberNew | ) |

  | Parameters:
  fLobbyServerMemberNew | The Callback's called function.

GSvoid RegServerFix_LobbyServerMemberUpdateInfo | ( | CBRegServerRcv_LobbyServerMemberUpdateInfo | fLobbyServerMemberUpdateInfo | ) |

  | Parameters:
  fLobbyServerMemberUpdateInfo | The Callback's called function.

GSvoid RegServerFix_LobbyServerMemberUpdateStatus | ( | CBRegServerRcv_LobbyServerMemberUpdateStatus | fLobbyServerMemberUpdateStatus | ) |

  | Parameters:
  fLobbyServerMemberUpdateStatus | The Callback's called function.

GSvoid RegServerFix_LobbyServerNewUpdateGroup | ( | CBRegServerRcv_LobbyServerNewUpdateGroup | fLobbyServerNewUpdateGroup | ) |

  | Parameters:
  fLobbyServerNewUpdateGroup | The Callback's called function.

GSvoid RegServerFix_LobbyServerUpdateGroupSettingsResult | ( | CBRegServerRcv_LobbyServerUpdateGroupSettings | fLobbyServerUpdateGroupSettings | ) |

  | Parameters:
  fLobbyServerUpdateGroupSettings | The Callback's called function.

GSvoid RegServerFix_LoginRouterResult | ( | CBRegServerRcv_LoginRouterResult | fLoginRouterResult | ) |

  | Description: Parameters:
  fLoginRouterResult | The Callback's called function.

GSvoid RegServerFix_RegisterServerResult | ( | CBRegServerRcv_RegisterServer | fRegisterServer | ) |

  | Parameters:
  fRegisterServer | The Callback's called function.

GSvoid RegServerFix_RequestParentGroupResult | ( | CBRegServerRcv_RequestParentGroup | fRequestParentGroup | ) |

  | Parameters:
  fRequestParentGroup | The Callback's called function.

GSvoid RegServerFix_RouterDisconnection | ( | CBRegServerRcv_RouterDisconnection | fRouterDisconnection | ) |

  | Parameters:
  fRouterDisconnection | The Callback's called function.

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team